<?php

namespace Ulmus\Attribute;

use Ulmus\Common\EntityField;

class Attribute
{
    public static function handleArrayField(null|\Stringable|string|array $field) : mixed
    {
        if ( is_array($field) ) {
            $class = array_shift($field);

            return $class::field(...$field);
        }

        return $field;
    }
}