<?php

namespace Ulmus\Entity\Sqlite;

use Ulmus\EntityCollection;

/**
 * @Table
 */
class Column
{
    use \Ulmus\EntityTrait;

    /**
     * @Id
     */
    public int $cid;

    /**
     * @Field
     */
    public string $type;

    /**
     * @Field
     */
    public string $name;

    /**
     * @Virtual
     */
    public string $tableName;

    /**
     * @Field('name' => "notnull")
     */
    public bool $notNull;

    /**
     * @Field('name' => 'dflt_value')
     */
    public ? string $defaultValue;

    /**
     * @Field('name' => "pk")
     */
    public bool $primaryKey;
}